module.exports = {
  meta: {
    type: "suggestion",
    docs: {
      description: "disallow underscores in URLs",
      category: "Best Practices",
      recommended: true
    },
    fixable: null,
    schema: []
  },
  create: function(context) {
    console.log("Custom ESLint rule is now running.");  // Debug statement

    return {
      Literal(node) {
        if (typeof node.value === 'string' && node.value.includes('http')) {
          console.log(`Checking the string: ${node.value}`); // Debug each string checked

          if (node.value.includes('_')) {
            console.log(`Found an underscore in URL: ${node.value}`); // Highlight when a URL with underscore is found
            context.report({
              node,
              message: "URLs should not contain underscores."
            });
          }
        }
      }
    };
  }
};

